#include "bottomhitbox.h"

bottomHitbox::bottomHitbox(QPixmap pixmap)
{
    setPixmap(pixmap);
    setOpacity(0.0);
}

bottomHitbox::~bottomHitbox()
{

}

void bottomHitbox::newPos(qreal newX, qreal newY)
{
    setPos(QPointF(newX+5,newY+72));
    m_x = newX;
    m_y = newY;
    emit movedHB(this);
}

void bottomHitbox::emitFallingCheck()
{
    emit fallingCheck(this);
}


